#
#  APRS4R - a ruby based aprs gateway/digipeater
#  Copyright (C) 2007 by Michael Conrad <do5mc@friggleware.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

require 'aprs4r/APRS4RLogger'


module APRS4R 

  APRS4RVersion = [1, 0, 2].join( '.')

  APRS4RBuild = "$Rev: 1179 $".split( / /)[1]

  APRS4RCall = "AP4R10"


  class APRS4RBase

    @logger = APRS4RLogger.get_logger( "APRS4RBase")

    class << self; attr_accessor :logger end

    def logger
      return self.class.logger
    end

  end

end


